Bug 427311

Summary: enable CONFIG_MODULE_SRCVERSION_ALL=y
Product: [Fedora] Fedora Reporter: Matt Domsch <matt_domsch>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: rawhideCC: jarod, jcm, wwlinuxengineering
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-03-19 20:41:10 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Matt Domsch 2008-01-02 22:44:45 UTC
Description of problem:
The kernel does not use CONFIG_MODULE_SRCVERSION_ALL=y, which prevents modules
that don't use MODULE_VERSION() tags from getting a srcversion field in their
modinfo.  DKMS uses the srcversion field to determine if a module is exactly the
same or not.  It would benefit from having srcversion enabled for all modules. 
Ubuntu and openSUSE enable this option.

Version-Release number of selected component (if applicable):
kernel-2.6.23.9-85.fc8


I would like to see this enabled for F7, F8, rawhide, and RHEL kernels as well.

Comment 2 Matt Domsch 2008-02-01 01:09:06 UTC
Ping.  How can I help this along?

Comment 3 Jarod Wilson 2008-03-19 03:28:09 UTC
Not seeing any reason we can't at least flip it on in rawhide and see what
happens there... Okay, flipped it on.

Comment 4 Jon Masters 2008-03-19 08:42:25 UTC
But last I heard davej wasn't running modpost/building modversions. I should
check what's currently going on there in rawhide - been a bit busy with RHEL :)